Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 589789 - yum downgrade "succeeds" by removing packages that depend on the newer versions
Summary: yum downgrade "succeeds" by removing packages that depend on the newer versions
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: yum
Version: 12
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Seth Vidal
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-06 21:24 UTC by Jasper O'neal Hartline
Modified: 2014-01-21 23:14 UTC (History)
6 users (show)

Fixed In Version: yum-3.2.28-3.fc12
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-09-14 16:46:55 UTC


Attachments (Terms of Use)
Yum output (deleted)
2010-05-06 22:58 UTC, Jasper O'neal Hartline
no flags Details

Description Jasper O'neal Hartline 2010-05-06 21:24:01 UTC
Description of problem:
In the description. (For searchability)

Here is the output attached.

Version-Release number of selected component (if applicable):
yum-3.2.27-3.fc12.noarch

How reproducible:


Steps to Reproduce:
1. yum downgrade gnome-panel
2. Fails
3. yum downgrade gnome-panel-libs succeeds
  
Actual results:


Expected results:


Additional info:

Comment 1 James Antill 2010-05-06 22:04:38 UTC
What does it say? Is it failing on a dependency problem? It is known that "downgrade" doesn't resolve deps. as well as upgrade. You might want to try "yum history undo" if you are trying to do a downgrade to reverse some problem (although at this point in F-12 it might be to a version of gnome-panel that no longer exists).

Comment 2 Jasper O'neal Hartline 2010-05-06 22:56:49 UTC
I will attach the output, I attached it last time it doesn't seem to have attached it properly.

Comment 3 Jasper O'neal Hartline 2010-05-06 22:58:00 UTC
Created attachment 412184 [details]
Yum output

Yum output for not being able to downgrade to a version of gnome-panel that does exist, but yum downgrade gnome-panel-libs does actually work. Should work for both I would assume.

Comment 4 James Antill 2010-05-07 04:05:29 UTC
 Yeh, as I said, it's the fact the depsolver doesn't understand what is happening well enough. However I thought it'd fail, not do this:

--> Running transaction check
---> Package gnome-panel-libs.i686 0:2.28.0-13.fc12 set to be updated
---> Package gnome-panel-libs.i686 0:2.28.0-16.fc12 set to be erased
--> Processing Dependency: gnome-panel-libs = 2.28.0-16.fc12 for package: gnome-panel-2.28.0-16.fc12.i686
--> Running transaction check
---> Package gnome-panel.i686 0:2.28.0-16.fc12 set to be erased

...which we should fix.

Comment 5 Michal Schmidt 2010-05-13 13:43:10 UTC
bug 549404 says:
> it would be nice if yum tried harder to do a consistent downgrade
> by downgrading the related packages rather than by starting to erase
> things, which can cascade into removing most of one's system.

Duplicate?

Comment 6 James Antill 2010-09-14 16:46:55 UTC
Not really a dup as this one is fixed ... we won't do cascade removals now, but we can still install other arch packages.


Note You need to log in before you can comment on or make changes to this bug.